package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ProductInfo;


/**
*  service接口类
*/
public interface ProductInfoService{

    List<ProductInfo> getProductInfoList(ProductInfo record);

    List<ProductInfo> getProductInfoByPage(Page page, ProductInfo record);

    ProductInfo getProductInfoById(String id);

    ProductInfo getProductInfo(ProductInfo record);

    boolean createProductInfo(ProductInfo record);

    boolean deleteProductInfo(String id);

    boolean updateProductInfo(ProductInfo record);

}

